BimpHelp

Customer returns: Bimp API methods

Bimp API methods for the “Customer returns” resource (/org2/customer-inventories-return/…): 5 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/customer-inventories-return/api-readA request to obtain detailed information for a particular customer’s inventory returns
POST /org2/customer-inventories-return/api-readListA request to view a list of the customer’s inventory returns
POST /org2/customer-inventories-return/api-createA request to create a new customer inventory return
POST /org2/customer-inventories-return/api-updateA request to update information for an existing customer inventory return
POST /org2/customer-inventories-return/api-cancelCancel a customer return of inventories document

api-read

POST /org2/customer-inventories-return/api-read

A request to obtain detailed information for a particular customer’s inventory returns

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for a return of inventories document

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for a return of inventories document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
namestring
commentstringAn optional text field for any additional notes or comments related to the document
numberstringThe number of the customer payment document
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
counterpartystring (uuid)A unique uuid key for a counterparty
warehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
contractstring (uuid)The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
responsiblestring (uuid)A unique uuid key for a responsible employee
priceListstring (uuid)A unique identifier for the Price List, obtainable from the /priceList/api-readList request
currencystring (uuid)A unique uuid key for a currency
documentSumnumberTotal amount of the document
VATaccountedbooleanWhether VAT is included
VATamountnumber
baseDocumentstring (uuid)A Sales invoice, on which Return of inventories is based
productsobject[]
products[].nomenclaturestring (uuid)A unique uuid key for a product nomenclature
products[].namestringProduct name
products[].countnumberA numerical value representing the quantity of the product
products[].costnumberA numerical value representing the cost of the product
products[].sumnumber
products[].reservenumber
products[].discountnumberThe amount of discount
products[].VATstring (uuid)A unique uuid key for a company VAT
products[].VATamountnumber
products[].partystring (uuid) | nullParty / batch UUID of the line
products[].serialNumbersstring (uuid)[]Serial number UUIDs of the line
curl -X POST 'https://app.bimpsoft.com/org2/customer-inventories-return/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/customer-inventories-return/api-readList

A request to view a list of the customer’s inventory returns

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets
periodableobject[]Period range as a tuple of two ISO 8601 date-time strings in UTC (e.g. ‘2012-10-05T14:48:00.000Z’)

Response: data field

FieldTypeDescription
[].uuidstring (uuid)A unique uuid key for a return of inventories document
[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
[].namestring
[].commentstringAn optional text field for any additional notes or comments related to the document
[].numberstringThe number of the customer payment document
[].organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
[].counterpartystring (uuid)A unique uuid key for a counterparty
[].responsiblestring (uuid)A unique uuid key for a responsible employee
[].currencystring (uuid)A unique uuid key for a currency
[].documentSumnumberTotal amount of the document
curl -X POST 'https://app.bimpsoft.com/org2/customer-inventories-return/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-create

POST /org2/customer-inventories-return/api-create

A request to create a new customer inventory return

Request body (JSON)

FieldTypeRequiredDescription
baseDocumentstring (uuid)yesA Sales invoice, on which Return of inventories is based
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe number of the customer payment document
warehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
responsiblestring (uuid)A unique uuid key for a responsible employee
commentstringAn optional text field for any additional notes or comments related to the document
VATaccountedbooleanWhether VAT is included
productsobject[]
products[].costnumberyesA numerical value representing the cost of the product
products[].countnumberyesA numerical value representing the quantity of the product
products[].nomenclaturestring (uuid)yesA unique uuid key for a product nomenclature
products[].VATstring (uuid)A unique uuid key for a company VAT
products[].partystring (uuid)Party / batch UUID from the party catalog (column «Номер партії»)
products[].serialNumbersstring (uuid)[]Serial number UUIDs returned to the warehouse. Pass together with party; the count must equal the line count.

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for a return of inventories document
curl -X POST 'https://app.bimpsoft.com/org2/customer-inventories-return/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"baseDocument":"00000000-0000-0000-0000-000000000000"}'

api-update

POST /org2/customer-inventories-return/api-update

A request to update information for an existing customer inventory return

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for a return of inventories document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe number of the customer payment document
warehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
responsiblestring (uuid)A unique uuid key for a responsible employee
commentstringAn optional text field for any additional notes or comments related to the document
VATaccountedbooleanWhether VAT is included
baseDocumentstring (uuid)A Sales invoice, on which Return of inventories is based
productsobject[]
products[].costnumberyesA numerical value representing the cost of the product
products[].countnumberyesA numerical value representing the quantity of the product
products[].nomenclaturestring (uuid)yesA unique uuid key for a product nomenclature
products[].VATstring (uuid)A unique uuid key for a company VAT
products[].partystring (uuid)Party / batch UUID from the party catalog (column «Номер партії»)
products[].serialNumbersstring (uuid)[]Serial number UUIDs returned to the warehouse. Pass together with party; the count must equal the line count.

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for a return of inventories document
curl -X POST 'https://app.bimpsoft.com/org2/customer-inventories-return/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-cancel

POST /org2/customer-inventories-return/api-cancel

Cancel a customer return of inventories document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for the customer return of inventories document

Response: data field

FieldTypeDescription
successboolean (true)
curl -X POST 'https://app.bimpsoft.com/org2/customer-inventories-return/api-cancel' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.